cURL
curl --request POST \
--url 'https://api.minimo.it/public/v1/events' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": true, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}}'const res = await fetch('https://api.minimo.it/public/v1/events', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": true, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.post(
'https://api.minimo.it/public/v1/events',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": True, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'event' => 'booking.created',
'tenant' => 'restaurant_4812',
'email' => 'anna@example.com',
'firstName' => 'Anna',
'idempotencyKey' => 'booking-9921-created',
'cancellationKey' => 'booking-9921',
'marketingConsent' => true,
'payload' => [
'booking_at' => '2026-11-20T20:30:00+01:00',
'GUEST_NAME' => 'Anna',
'BOOKING_TIME' => '20:30',
'PARTY_SIZE' => 4
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/events"
payload := strings.NewReader("{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.minimo.it/public/v1/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"event": "booking.created",
"status": "no_automation",
"automations": 0,
"contactId": 4521,
"tenantAutomations": {
"scheduled": [
{
"id": 41,
"rule": "confirmation",
"status": "pending",
"reason": null,
"sendAt": "2026-11-08T18:00:01.000Z"
},
{
"id": 42,
"rule": "reminder",
"status": "pending",
"reason": null,
"sendAt": "2026-11-20T17:30:00.000Z"
}
],
"cancelled": 0,
"rescheduled": 0
}
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Events
Send Event
Tell Minimo what happened, for example a new booking. The rules schedule the emails
POST
/
public
/
v1
/
events
cURL
curl --request POST \
--url 'https://api.minimo.it/public/v1/events' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": true, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}}'const res = await fetch('https://api.minimo.it/public/v1/events', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": true, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.post(
'https://api.minimo.it/public/v1/events',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"event": "booking.created", "tenant": "restaurant_4812", "email": "anna@example.com", "firstName": "Anna", "idempotencyKey": "booking-9921-created", "cancellationKey": "booking-9921", "marketingConsent": True, "payload": {"booking_at": "2026-11-20T20:30:00+01:00", "GUEST_NAME": "Anna", "BOOKING_TIME": "20:30", "PARTY_SIZE": 4}},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'event' => 'booking.created',
'tenant' => 'restaurant_4812',
'email' => 'anna@example.com',
'firstName' => 'Anna',
'idempotencyKey' => 'booking-9921-created',
'cancellationKey' => 'booking-9921',
'marketingConsent' => true,
'payload' => [
'booking_at' => '2026-11-20T20:30:00+01:00',
'GUEST_NAME' => 'Anna',
'BOOKING_TIME' => '20:30',
'PARTY_SIZE' => 4
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/events"
payload := strings.NewReader("{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.minimo.it/public/v1/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"event\": \"booking.created\",\n \"tenant\": \"restaurant_4812\",\n \"email\": \"anna@example.com\",\n \"firstName\": \"Anna\",\n \"idempotencyKey\": \"booking-9921-created\",\n \"cancellationKey\": \"booking-9921\",\n \"marketingConsent\": true,\n \"payload\": {\n \"booking_at\": \"2026-11-20T20:30:00+01:00\",\n \"GUEST_NAME\": \"Anna\",\n \"BOOKING_TIME\": \"20:30\",\n \"PARTY_SIZE\": 4\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"event": "booking.created",
"status": "no_automation",
"automations": 0,
"contactId": 4521,
"tenantAutomations": {
"scheduled": [
{
"id": 41,
"rule": "confirmation",
"status": "pending",
"reason": null,
"sendAt": "2026-11-08T18:00:01.000Z"
},
{
"id": 42,
"rule": "reminder",
"status": "pending",
"reason": null,
"sendAt": "2026-11-20T17:30:00.000Z"
}
],
"cancelled": 0,
"rescheduled": 0
}
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Booking events. Errors: Errors and limits.
Authorizations
Body
application/json